//  Copyright (c) 2003 by Autodesk, Inc.
//
//  By using this code, you are agreeing to the terms and conditions of
//  the License Agreement included in the documentation for this code.
//
//  AUTODESK MAKES NO WARRANTIES, EXPRESS OR IMPLIED, AS TO THE CORRECTNESS
//  OF THIS CODE OR ANY DERIVATIVE WORKS WHICH INCORPORATE IT. AUTODESK
//  PROVIDES THE CODE ON AN "AS-IS" BASIS AND EXPLICITLY DISCLAIMS ANY
//  LIABILITY, INCLUDING CONSEQUENTIAL AND INCIDENTAL DAMAGES FOR ERRORS,
//  OMISSIONS, AND OTHER PROBLEMS IN THE CODE.
//
//  Use, duplication, or disclosure by the U.S. Government is subject to
//  restrictions set forth in FAR 52.227-19 (Commercial Computer Software
//  Restricted Rights) and DFAR 252.227-7013(c)(1)(ii) (Rights in Technical
//  Data and Computer Software), as applicable.
//
var hDoc;
var mouseX;
var mouseY;
var lastItem;
var parentMenu = 1;
var newMenu;
var cascadeMenuArray = new Array();

var rolloverEnabled = true;
    
function appendToMenu(thisWindow, data)
{
	var item;
	var isSeparator = false;
	var isCascade = false;
	var isCheckButton = false;
	var isRadioButton = false;
	var itemId = data.Id;
	var idx = -1;
	var arrayLength;
	var thisItemId;
	var upperItemId = itemId.toUpperCase();
	
	//determine if the item is a separator or a cascade menu
	if (data.Command == /*NOXLATE*/"CASCADE")
		isCascade = true;
	else if (data.Command == /*NOXLATE*/"SEPARATOR")
		isSeparator = true;
	
	if ( !isCascade && !isSeparator )	// check for separator via Id
	{
		upperItemId = itemId.toUpperCase();
		idx = upperItemId.lastIndexOf(/*NOXLATE*/"SEPARATOR");
		if (idx != -1)
		{
			if (upperItemId.length == idx + 9) // 9 is the length of "SEPARATOR"
				isSeparator = true;
		}  
	}
	
	if ( !isCascade && !isSeparator )	// check for check or radio item
	{
		idx = upperItemId.lastIndexOf(/*NOXLATE*/"_CHECKMENU");
		if (idx != -1)
		{
			if (upperItemId.length == idx + 10) // 10 is the length of "_CHECKMENU"
				isCheckButton = true;
		}
		else
		{
			idx = upperItemId.lastIndexOf(/*NOXLATE*/"_RADIOMENU");
			if (idx != -1)
			{
				if (upperItemId.length == idx + 10) // 10 is the length of "_RADIOMENU"
					isRadioButton = true;
			}
		}
		
		var i;
		var bFound = false;
		var thisItem;
		thisItemId = itemId;
		// find the antecedent parent menus and add them to 
		// the menu array if not yet there
		while (!bFound)
		{
			idx = thisItemId.lastIndexOf(/*NOXLATE*/".");
			if (-1 == idx)	//done
			{
				break;
			}
			thisItemId = thisItemId.substring(0, idx);
			arrayLength = cascadeMenuArray.length;
			for ( i = 0; i < arrayLength-1; i = i + 2 )
			{
				if (cascadeMenuArray[i] == thisItemId)
				{
					bFound = true;
					break;
				}
			}
			
			if (!bFound)
			{
				cascadeMenuArray[arrayLength] = thisItemId;
				cascadeMenuArray[arrayLength+1] = hDoc.getNewMenu();
				parentMenu = arrayLength+1;
			}
		}
	}
	else if ( isCascade )
	{
		var i;
		var bFound = false;
		var thisItem;
		thisItemId = itemId;

		arrayLength = cascadeMenuArray.length;
		for ( i = 0; i < arrayLength-1; i = i + 2 )
		{
			if (cascadeMenuArray[i] == thisItemId)
			{
				newMenu = i+1;
				bFound = true;
				break;
			}
		}
		if (!bFound)
		{
			cascadeMenuArray[arrayLength] = itemId;
			cascadeMenuArray[arrayLength+1] = hDoc.getNewMenu();
			newMenu = arrayLength+1;
		}
		
		bFound = false;
		
		// find the antecedent parent menus and add them to 
		// the menu array if not yet there
		while (!bFound)
		{
			idx = thisItemId.lastIndexOf(/*NOXLATE*/".");
			if (-1 == idx)	//done
			{
				break;
			}
			thisItemId = thisItemId.substring(0, idx);
			arrayLength = cascadeMenuArray.length;
			for ( i = 0; i < arrayLength-1; i = i + 2 )
			{
				if (cascadeMenuArray[i] == thisItemId)
				{
					bFound = true;
					break;
				}
			}
			
			if (!bFound)
			{
				cascadeMenuArray[arrayLength] = thisItemId;
				cascadeMenuArray[arrayLength+1] = hDoc.getNewMenu();
			}
		}
	}
	
	// Get the parent, which will be added to
	idx = itemId.lastIndexOf(/*NOXLATE*/".");
	if (-1 == idx)	//if not found, assume "Root"
	{
		parentMenu = 1;
	}
	else
	{
		bFound = false;
		thisItemId = itemId.substring(0, idx);
		arrayLength = cascadeMenuArray.length;
		for ( i = 0; i < arrayLength-1; i = i + 2 )
		{
			if (cascadeMenuArray[i] == thisItemId)
			{
				bFound = true;
				parentMenu = i+1;
				break;
			}
		}
		if (!bFound)	//if not found, assume "Root"
		{
			parentMenu = 1;
		}
	}
		
	if (isSeparator)
	{
		cascadeMenuArray[parentMenu].add(item = new MenuSeparator());
		item.tooltip = data.Id + " " + data.Rollover.toString();
	}
	else if (isCheckButton)
	{
		var cmd = ((data.Enabled & 2) == 2) ? 0 : 1;
		cascadeMenuArray[parentMenu].add( item = new CheckBoxMenuItem( eval(data.Text), ((data.Enabled & 2) == 2), 'javascript:doExecuteEx(\"'+data.Command+'\",'+cmd+')' ) );
		item.mnemonic = eval(data.Mnemonic);
		item.shortcut = eval(data.Shortcut);
		item.disabled = ((data.Enabled & 1) == 0);
		item.tooltip = data.Id + " " + (((data.Enabled & 4) == 4) ? "x" : "") + data.Rollover.toString();
	}
	else if (isRadioButton)
	{
		cascadeMenuArray[parentMenu].add( item = new RadioButtonMenuItem( eval(data.Text), ((data.Enabled & 2) == 2), null, 'javascript:doExecute(\"'+data.Command+'\")' ) );
		item.mnemonic = eval(data.Mnemonic);
		item.shortcut = eval(data.Shortcut);
		item.disabled = ((data.Enabled & 1) == 0);
		item.tooltip = data.Id + " " + data.Rollover.toString();
	}
	else if (isCascade)
	{
		cascadeMenuArray[parentMenu].add( item = new MenuItem( eval(data.Text), null, eval(data.Image), cascadeMenuArray[newMenu] ) );
		item.mnemonic = eval(data.Mnemonic);
		item.shortcut = eval(data.Shortcut);
		item.disabled = ((data.Enabled & 1) == 0);
		item.tooltip = data.Id + " " + data.Rollover.toString();
	}
	else
	{
		cascadeMenuArray[parentMenu].add( item = new MenuItem( eval(data.Text), 'javascript:doExecute(\"'+data.Command+'\")', eval(data.Image) ) );
		item.mnemonic = eval(data.Mnemonic);
		item.shortcut = eval(data.Shortcut);
		item.disabled = ((data.Enabled & 1) == 0);
		item.tooltip = data.Id + " " + data.Rollover.toString();
	}
}

function showContextMenu(cMenu)
{
	cascadeMenuArray[1].invalidate();
	cascadeMenuArray[1].show( mouseX, mouseY );
}
    
function closeContextMenu(cMenu)
{
	if ( cascadeMenuArray.length > 1 )
		cascadeMenuArray[1].close();
}
    
function clearMenuAndSetLocation(cMenu, handlerDoc, data)
{
	hDoc = handlerDoc;
	// Get the mouse position
	var v = data;
	mouseY = v & 0x0000ffff;
	mouseX = v & 0xffff0000;
	mouseX >>= 16;
//	try
//	{
//		if ( cascadeMenuArray.length > 1 )
//		{
//			var count = 0;
//			var i;
//			for ( i = cascadeMenuArray.length - 1; i > 0; i = i - 2 )
//			{
//				// clear all old menu items
//				while ( cascadeMenuArray[i].items.length > 0 )
//				{
//					count = cascadeMenuArray[i].items.length-1;
//					cascadeMenuArray[i].remove(cascadeMenuArray[i].items[count]);
//				}
//			}
//		}
//	} catch (er) {}
	// clear the cascade menu array
    cascadeMenuArray = new Array();
    cascadeMenuArray[0] = /*NOXLATE*/"Root";
    cascadeMenuArray[1] = hDoc.getNewMenu();
}

function doRollover(menuItem)
{
	var idWithIndex = menuItem.tooltip;
	var len = idWithIndex.length;
	var idx = idWithIndex.lastIndexOf(" ");
	var triState = idWithIndex.lastIndexOf("x");
	var index = -1;
	if (triState == idx+1)
		index = idWithIndex.substring(idx+2, len);
	else
		index = idWithIndex.substring(idx+1, len);
    try {
	    hDoc.doExecuteEx("CM_ROLLOVER", index);
	} catch (er) {}
}

function endRollover()
{
	doExecuteEx("CM_ROLLOVER_END", 0);
}

function doExecuteEx(command, id)
{
	hDoc.doExecuteEx(command, id);
}

function doExecute(command)
{
	hDoc.doExecuteEx(command, 0);
}
////////////////////////////////////////////////////////////////////////////////////
// event listener
//

var eventListeners = {
	menu: {
		onkeydown:	function ( id ) {
			var oThis = menuCache[id];
			var w = oThis.getDocument().parentWindow;
			oThis.handleKeyEvent( w.event );
		},
		onunload:	function ( id ) {
			if (id in menuCache) {
				menuCache[id].closeAllMenus();
				menuCache[id].destroy();
			}
			// else already destroyed
		},
		oncontextmenu:	function ( id ) {
			var oThis = menuCache[id];
			var w = oThis.getDocument().parentWindow;
			w.event.returnValue = false;
		},
		
		onscroll:	function ( id ) {
			menuCache[id].fixScrollEnabledState();
		},

		onmouseover:	function ( id ) {
			var oThis = menuCache[id];
			var w = oThis.getDocument().parentWindow;
			
			var fromEl	= getTrElement( w.event.fromElement );
			var toEl	= getTrElement( w.event.toElement );
			
			if ( toEl != null && toEl != fromEl ) {
				var mi = toEl._menuItem;
				if ( mi ) {
					if ( !mi.disabled || oThis.mouseHoverDisabled ) {
						mi.setSelected( true );
						mi.showSubMenu( true );
						if ( rolloverEnabled && (lastItem == null || mi != lastItem) )
						{
							lastItem = mi;
							doRollover(lastItem);
						}
					}
				}
				else {	// scroll button
					if (toEl.className == "disabled" || toEl.className == "disabled-hover" )
						toEl.className = "disabled-hover";
					else
						toEl.className = "hover";
					oThis.selectedIndex = -1;
				}
			}
		},

		onmouseout:	function ( id ) {
			var oThis = menuCache[id];
			var w = oThis.getDocument().parentWindow;

			var fromEl	= getTrElement( w.event.fromElement );
			var toEl	= getTrElement( w.event.toElement );
			
			//lastItem = null;
									
			if ( fromEl != null && toEl != fromEl ) {
				
				var id = fromEl.parentNode.parentNode.id;
				var mi = fromEl._menuItem;
				
				if ( id == "scroll-up-item" || id == "scroll-down-item" ) {
					if (fromEl.className == "disabled-hover" || fromEl.className == "disabled" )
						fromEl.className = "disabled";
					else
						fromEl.className = "";
					oThis.selectedIndex = -1;
				}
				
				else if ( mi &&
					( toEl != null || mi.subMenu == null || mi.disabled ) ) {
						
					mi.setSelected( false );
					if ( rolloverEnabled ) {
						lastItem = null;
						endRollover();
					}
				}
			}

		},
	
		onmouseup:	function ( id ) {
			var oThis = menuCache[id];
			var w = oThis.getDocument().parentWindow;
			
			var srcEl	= getMenuItemElement( w.event.srcElement );
			
			if ( srcEl != null ) {
				var id = srcEl.parentNode.parentNode.id;
				if ( id == "scroll-up-item" || id == "scroll-down-item" ) {
					return;
				}
				
				oThis.selectedIndex = srcEl.rowIndex;
				var menuItem = oThis.items[ oThis.selectedIndex ];
				menuItem.dispatchAction();
			}
		},
		
		onmousewheel:	function ( id ) {
			var oThis = menuCache[id];
			var d = oThis.getDocument();
			var w = d.parentWindow;
			var scrollContainer = d.getElementById("scroll-container");
			scrollContainer.scrollTop -= 3 * w.event.wheelDelta / 120 * ScrollButton.scrollAmount;
		},		
		
		onreadystatechange:	function ( id ) {
			var oThis = menuCache[id];
			var d = oThis.getDocument();
			var linkEl = d.getElementsByTagName("LINK")[0];
			if ( linkEl.readyState == "complete" ) {
				oThis.resetSizeCache();	// reset sizes
				oThis.fixSize();
				oThis.fixScrollButtons();
			}
		},
		
		oncloseinterval:	function ( id ) {
			 menuCache[id]._checkCloseState();
		}
	},
	
	
	menuItem:	{
		onshowtimer:	function ( id ) {
			var oThis = menuCache[id];
			var sm = oThis.subMenu;
			var pm = oThis.parentMenu;
			var selectedIndex = sm.getSelectedIndex();
		
			pm.closeAllSubs( sm );
			window.setTimeout( "eventListeners.menuItem.onshowtimer2(\"" + id + "\")", 1);
		},
		
		onshowtimer2:	function ( id ) {
			var oThis = menuCache[id];
			var sm = oThis.subMenu;
			var selectedIndex = sm.getSelectedIndex();
			oThis.positionSubMenu();
			sm.setSelectedIndex( selectedIndex );
			oThis.setSelected( true );
		},

		onclosetimer:	function ( id ) {
			var oThis = menuCache[id];
			var sm = oThis.subMenu;
			sm.close();
		},
		
		onpositionsubmenutimer:	function ( id ) {
			var oThis = menuCache[id];
			var sm = oThis.subMenu;
			sm.resetSizeCache();	// reset sizes
			oThis.positionSubMenu();
			sm.setSelectedIndex( 0 );
		}	
	},
	
	menuBar:	{
		onmouseover:	function ( id ) {
			var oThis = menuCache[id];
		
			var e = window.event;
			var fromEl = getMenuItemElement( e.fromElement );
			var toEl = getMenuItemElement( e.toElement );
			
			if ( toEl != null && toEl != fromEl ) {
				
				var mb = toEl._menuItem;
				var m = mb.parentMenu;
				
				if ( m.getActiveState() == "open" ) {
					window.setTimeout( function () {
						mb.dispatchAction();
					}, 1);
				}
				else if ( m.getActiveState() == "active" ) {
					mb.setSelected( true );			
				}
				else {
					mb._hover = true;
					toEl.className = mb.getCssClass();
				}
			}
		},
		
		onmouseout:	function ( id ) {
			var oThis = menuCache[id];
	
			var e = window.event;
			var fromEl = getMenuItemElement( e.fromElement );
			var toEl = getMenuItemElement( e.toElement );
			
			if ( fromEl != null && toEl != fromEl ) {
				var mb = fromEl._menuItem;
				mb._hover = false;
				fromEl.className = mb.getCssClass();
			}
		},
	
		onmousedown:	function ( id ) {
			var oThis = menuCache[id];

			var e = window.event;
			if ( e.button != MenuBar.leftMouseButton )
				return;
				
			var el = getMenuItemElement( e.srcElement );
			
			if ( el != null ) {
				var mb = el._menuItem;
				if ( mb.subMenu ) {
					mb.subMenu._checkCloseState();
					if ( new Date() - mb.subMenu._closedAt > 100 ) {	// longer than the time to
																		// do the hide
						mb.dispatchAction();
					}
					else {
						mb._hover = true;
						mb._htmlElement.className = mb.getCssClass();
					}
				}
			}
		},
		
		onkeydown:	function ( id ) {
			var oThis = menuCache[id];
			oThis.handleKeyEvent( window.event );
		},
		
		onunload:	function ( id ) {
			menuCache[id].destroy();
		},
		
		ongotonextmenuitem:	function ( id ) {
			var oThis = menuCache[id];
			var mi = oThis.items[ oThis.getSelectedIndex() ];
			mi.dispatchAction();
			if ( mi.subMenu )
				mi.subMenu.setSelectedIndex( 0 );
		},
		
		ongotopreviousmenuitem:	function ( id ) {
			var oThis = menuCache[id];
			var mi = oThis.items[ oThis.getSelectedIndex() ];
			mi.dispatchAction();
			if ( mi.subMenu )
				mi.subMenu.setSelectedIndex( 0 );
		}
	},
	
	menuButton: {
		onclose:	function ( id ) {
			menuCache[id].subMenuClosed();
		}
	}
};

CheckBoxMenuItem.prototype.getCssClass = function () {
	var s = (this.checked ? " checked" : "");
	var idx = this.tooltip.lastIndexOf(" ");
	var triState = this.tooltip.lastIndexOf("x");
	try {
		// if triState, string will end with " x" + a numeric value
		// if not, it will end with " " + a numeric value
		if (triState == idx+1)
		{
			if (this._selected)
				return "undisabled-hover" + s;
			else
				return "undisabled" + s;
		}
	} catch (er) {}
	if ( this.disabled && this._selected )
		return "disabled-hover" + s;
	else if ( this.disabled )
		return "disabled" + s;
	else if ( this._selected )
		return "hover" + s;
	
	return s;
};





// SIG // Begin signature block
// SIG // MIIWKgYJKoZIhvcNAQcCoIIWGzCCFhcCAQExDjAMBggq
// SIG // hkiG9w0CBQUAMGYGCisGAQQBgjcCAQSgWDBWMDIGCisG
// SIG // AQQBgjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIB
// SIG // AAIBAAIBAAIBAAIBADAgMAwGCCqGSIb3DQIFBQAEEH/7
// SIG // ZsMSzjOXkVKOQG7MArigghGFMIIDxDCCAy2gAwIBAgIQ
// SIG // R78Zld+NUkZD99ttSA0xpDANBgkqhkiG9w0BAQUFADCB
// SIG // izELMAkGA1UEBhMCWkExFTATBgNVBAgTDFdlc3Rlcm4g
// SIG // Q2FwZTEUMBIGA1UEBxMLRHVyYmFudmlsbGUxDzANBgNV
// SIG // BAoTBlRoYXd0ZTEdMBsGA1UECxMUVGhhd3RlIENlcnRp
// SIG // ZmljYXRpb24xHzAdBgNVBAMTFlRoYXd0ZSBUaW1lc3Rh
// SIG // bXBpbmcgQ0EwHhcNMDMxMjA0MDAwMDAwWhcNMTMxMjAz
// SIG // MjM1OTU5WjBTMQswCQYDVQQGEwJVUzEXMBUGA1UEChMO
// SIG // VmVyaVNpZ24sIEluYy4xKzApBgNVBAMTIlZlcmlTaWdu
// SIG // IFRpbWUgU3RhbXBpbmcgU2VydmljZXMgQ0EwggEiMA0G
// SIG // CSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCpyrKkzM0g
// SIG // rwp9iayHdfC0TvHfwQ+/Z2G9o2Qc2rv5yjOrhDCJWH6M
// SIG // 22vdNp4Pv9HsePJ3pn5vPL+Trw26aPRslMq9Ui2rSD31
// SIG // ttVdXxsCn/ovax6k96OaphrIAuF/TFLjDmDsQBx+uQ3e
// SIG // P8e034e9X3pqMS4DmYETqEcgzjFzDVctzXg0M5USmRK5
// SIG // 3mgvqubjwoqMKsOLIYdmvYNYV291vzyqJoddyhAVPJ+E
// SIG // 6lTBCm7E/sVK3bkHEZcifNs+J9EeeOyfMcnx5iIZ28Sz
// SIG // R0OaGl+gHpDkXvXufPF9q2IBj/VNC97QIlaolc2uiHau
// SIG // 7roN8+RN2aD7aKCuFDuzh8G7AgMBAAGjgdswgdgwNAYI
// SIG // KwYBBQUHAQEEKDAmMCQGCCsGAQUFBzABhhhodHRwOi8v
// SIG // b2NzcC52ZXJpc2lnbi5jb20wEgYDVR0TAQH/BAgwBgEB
// SIG // /wIBADBBBgNVHR8EOjA4MDagNKAyhjBodHRwOi8vY3Js
// SIG // LnZlcmlzaWduLmNvbS9UaGF3dGVUaW1lc3RhbXBpbmdD
// SIG // QS5jcmwwEwYDVR0lBAwwCgYIKwYBBQUHAwgwDgYDVR0P
// SIG // AQH/BAQDAgEGMCQGA1UdEQQdMBukGTAXMRUwEwYDVQQD
// SIG // EwxUU0EyMDQ4LTEtNTMwDQYJKoZIhvcNAQEFBQADgYEA
// SIG // Smv56ljCRBwxiXmZK5a/gqwB1hxMzbCKWG7fCCmjXsjK
// SIG // kxPnBFIN70cnLwA4sOTJk06a1CJiFfc/NyFPcDGA8Ys4
// SIG // h7Po6JcA/s9Vlk4k0qknTnqut2FB8yrO58nZXt27K4U+
// SIG // tZ212eFX/760xX71zwye8Jf+K9M7UhsbOCf3P0owggP/
// SIG // MIIC56ADAgECAhAN6Svw1NgpiBgyBQlemnaIMA0GCSqG
// SIG // SIb3DQEBBQUAMFMxCzAJBgNVBAYTAlVTMRcwFQYDVQQK
// SIG // Ew5WZXJpU2lnbiwgSW5jLjErMCkGA1UEAxMiVmVyaVNp
// SIG // Z24gVGltZSBTdGFtcGluZyBTZXJ2aWNlcyBDQTAeFw0w
// SIG // MzEyMDQwMDAwMDBaFw0wODEyMDMyMzU5NTlaMFcxCzAJ
// SIG // BgNVBAYTAlVTMRcwFQYDVQQKEw5WZXJpU2lnbiwgSW5j
// SIG // LjEvMC0GA1UEAxMmVmVyaVNpZ24gVGltZSBTdGFtcGlu
// SIG // ZyBTZXJ2aWNlcyBTaWduZXIwggEiMA0GCSqGSIb3DQEB
// SIG // AQUAA4IBDwAwggEKAoIBAQCyUChI3dNoeoQYRGZ1XX7E
// SIG // uJ9jJv89Q5x8ETgQJVVz2XUnaf1OuSBc0wr5oBsq7VVW
// SIG // IWHYHtvkvDNrx+/dozdljhuTDLZTHlx8ZjVfBYpF/nZO
// SIG // 31OAooEgna6IXKII9+Uw+e4iN0xCCs7fxh/E1lXpgT+1
// SIG // UqMsqgF68qKqjTX+n+ZdagWfPWvjv5bA/sxg+UDnB6BE
// SIG // 64FRbqUq8raKECjtj9wGoIZQmntKCA0wHcoQnmv36Viu
// SIG // BKlAmbIo6I8WrDzjU29L0zWdtW9kHbOWLLs953nrbXr5
// SIG // FuYmra/vmVO3QCyVuHmq/tRSqyl0fkLsOR6iahbmWbsk
// SIG // aNgAgEMQh4BrAgMBAAGjgcowgccwNAYIKwYBBQUHAQEE
// SIG // KDAmMCQGCCsGAQUFBzABhhhodHRwOi8vb2NzcC52ZXJp
// SIG // c2lnbi5jb20wDAYDVR0TAQH/BAIwADAzBgNVHR8ELDAq
// SIG // MCigJqAkhiJodHRwOi8vY3JsLnZlcmlzaWduLmNvbS90
// SIG // c3MtY2EuY3JsMBYGA1UdJQEB/wQMMAoGCCsGAQUFBwMI
// SIG // MA4GA1UdDwEB/wQEAwIGwDAkBgNVHREEHTAbpBkwFzEV
// SIG // MBMGA1UEAxMMVFNBMjA0OC0xLTU0MA0GCSqGSIb3DQEB
// SIG // BQUAA4IBAQCHeHDaTlIBIFvgecmCMMT9uRmWvZEAw73N
// SIG // zcb0Dtj/+U3AM2IwEcX1dBvUkt5fnCATsXxFvlDNg+eA
// SIG // F4OnJ5NnE0b7yriYQQPMm1FbBYt/qG/zG1AbJC7yaY1s
// SIG // Ive7yhaV7Qx0wGh32euZYofBc5D4iXR6I6ujmHuXsfeP
// SIG // KXFNLnUbSEHa8LUNIFTWd6CXgmNp/QnPivB1uwmb2fkR
// SIG // VSaaYTK+egKwe4a+osOLIix40TV2vJJzXPm55kwVCiPM
// SIG // 5NLUNC5JQBU8D2B6JMalZu+Wz3DrPuf0DX7c0XyjdnFp
// SIG // wZxPRzA1IbGirxpiPCvZjqoqB3vYGLNce+KdpW/+PImt
// SIG // MIIEvzCCBCigAwIBAgIQQZGhWjl4389JZWY4HUx1wjAN
// SIG // BgkqhkiG9w0BAQUFADBfMQswCQYDVQQGEwJVUzEXMBUG
// SIG // A1UEChMOVmVyaVNpZ24sIEluYy4xNzA1BgNVBAsTLkNs
// SIG // YXNzIDMgUHVibGljIFByaW1hcnkgQ2VydGlmaWNhdGlv
// SIG // biBBdXRob3JpdHkwHhcNMDQwNzE2MDAwMDAwWhcNMTQw
// SIG // NzE1MjM1OTU5WjCBtDELMAkGA1UEBhMCVVMxFzAVBgNV
// SIG // BAoTDlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJp
// SIG // U2lnbiBUcnVzdCBOZXR3b3JrMTswOQYDVQQLEzJUZXJt
// SIG // cyBvZiB1c2UgYXQgaHR0cHM6Ly93d3cudmVyaXNpZ24u
// SIG // Y29tL3JwYSAoYykwNDEuMCwGA1UEAxMlVmVyaVNpZ24g
// SIG // Q2xhc3MgMyBDb2RlIFNpZ25pbmcgMjAwNCBDQTCCASIw
// SIG // DQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAL687rx+
// SIG // 74Pr4DdP+wMQOL4I0ox9nfqSfxkMwmvuQlKM3tMcSBMl
// SIG // 6sFjevlRZe7Tqjv18JScK/vyZtQk2vf1n24ZOTa80KN2
// SIG // CB4iJyRsOJEn4oRJrhuKof0lgiwQMOhxqyjod0pR8ezN
// SIG // +PBU1G/A420Kj9nYZI1jsi1OJ/aFDv5t4ymZ4oVHfC2G
// SIG // f+hXj61nwjMykRMg/KkjFJptwoRLdmgE1XEsXSH6iA0m
// SIG // /R8tkSvnAVVN8m01KILf2WtcttbZqoH9X82DumOd0CL8
// SIG // qTtCabKOOrW8tJ4PXsTqLIKLKP1TCJbdtQEg0fmlGOfA
// SIG // 7lFwN+G2BUhSSG846sPobHtEhLsCAwEAAaOCAaAwggGc
// SIG // MBIGA1UdEwEB/wQIMAYBAf8CAQAwRAYDVR0gBD0wOzA5
// SIG // BgtghkgBhvhFAQcXAzAqMCgGCCsGAQUFBwIBFhxodHRw
// SIG // czovL3d3dy52ZXJpc2lnbi5jb20vcnBhMDEGA1UdHwQq
// SIG // MCgwJqAkoCKGIGh0dHA6Ly9jcmwudmVyaXNpZ24uY29t
// SIG // L3BjYTMuY3JsMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggr
// SIG // BgEFBQcDAzAOBgNVHQ8BAf8EBAMCAQYwEQYJYIZIAYb4
// SIG // QgEBBAQDAgABMCkGA1UdEQQiMCCkHjAcMRowGAYDVQQD
// SIG // ExFDbGFzczNDQTIwNDgtMS00MzAdBgNVHQ4EFgQUCPVR
// SIG // 6Pv+PT1kNnxoz1t4qN+5xTcwgYAGA1UdIwR5MHehY6Rh
// SIG // MF8xCzAJBgNVBAYTAlVTMRcwFQYDVQQKEw5WZXJpU2ln
// SIG // biwgSW5jLjE3MDUGA1UECxMuQ2xhc3MgMyBQdWJsaWMg
// SIG // UHJpbWFyeSBDZXJ0aWZpY2F0aW9uIEF1dGhvcml0eYIQ
// SIG // cLrkHRDZKTS2OMp7A8y6vzANBgkqhkiG9w0BAQUFAAOB
// SIG // gQCuOhe4SntV+mRV7ECk7UlBkJmcibyvLh3KeCP5HBkP
// SIG // f+tovDLZiDje3D/TibQ/sYKW8aRauu0uJtPefAFuAAoA
// SIG // pAaSEUgJQPkcGHlnIyTgu9XhUK4b9Q7d4C6BzYCjbFJP
// SIG // kXVViroi8tLqQXWIL2NVfR5UWpVZytk0gcBfXvZ6tTCC
// SIG // BPMwggPboAMCAQICEFXvL2VCrn2dIzU3ACqsrQkwDQYJ
// SIG // KoZIhvcNAQEFBQAwgbQxCzAJBgNVBAYTAlVTMRcwFQYD
// SIG // VQQKEw5WZXJpU2lnbiwgSW5jLjEfMB0GA1UECxMWVmVy
// SIG // aVNpZ24gVHJ1c3QgTmV0d29yazE7MDkGA1UECxMyVGVy
// SIG // bXMgb2YgdXNlIGF0IGh0dHBzOi8vd3d3LnZlcmlzaWdu
// SIG // LmNvbS9ycGEgKGMpMDQxLjAsBgNVBAMTJVZlcmlTaWdu
// SIG // IENsYXNzIDMgQ29kZSBTaWduaW5nIDIwMDQgQ0EwHhcN
// SIG // MDYxMDA5MDAwMDAwWhcNMDgxMTA0MjM1OTU5WjCBtjEL
// SIG // MAkGA1UEBhMCVVMxCzAJBgNVBAgTAkNBMRYwFAYDVQQH
// SIG // Ew1TYW4gRnJhbmNpc2NvMRcwFQYDVQQKFA5BdXRvZGVz
// SIG // aywgSW5jLjE+MDwGA1UECxM1RGlnaXRhbCBJRCBDbGFz
// SIG // cyAzIC0gTWljcm9zb2Z0IFNvZnR3YXJlIFZhbGlkYXRp
// SIG // b24gdjIxEDAOBgNVBAsUB0J1enpzYXcxFzAVBgNVBAMU
// SIG // DkF1dG9kZXNrLCBJbmMuMIGfMA0GCSqGSIb3DQEBAQUA
// SIG // A4GNADCBiQKBgQCrreL8W+Wzqt0TH8CxShH6gqSlZ75q
// SIG // EbvekYyyL0gjhqTn8w0XhaxdTyPJCP/vm5kQGlWjqkeF
// SIG // 59Xinl3p4rxuBQLYN8F5IAF2qZoaJFHtEdPU5SOtm5K6
// SIG // ipIJbv6W1VMoMbAxOmkPL3eQ4eJvjMEsW8ZLE7jNLfq7
// SIG // BqmOD1WF+QIDAQABo4IBfzCCAXswCQYDVR0TBAIwADAO
// SIG // BgNVHQ8BAf8EBAMCB4AwQAYDVR0fBDkwNzA1oDOgMYYv
// SIG // aHR0cDovL0NTQzMtMjAwNC1jcmwudmVyaXNpZ24uY29t
// SIG // L0NTQzMtMjAwNC5jcmwwRAYDVR0gBD0wOzA5BgtghkgB
// SIG // hvhFAQcXAzAqMCgGCCsGAQUFBwIBFhxodHRwczovL3d3
// SIG // dy52ZXJpc2lnbi5jb20vcnBhMBMGA1UdJQQMMAoGCCsG
// SIG // AQUFBwMDMHUGCCsGAQUFBwEBBGkwZzAkBggrBgEFBQcw
// SIG // AYYYaHR0cDovL29jc3AudmVyaXNpZ24uY29tMD8GCCsG
// SIG // AQUFBzAChjNodHRwOi8vQ1NDMy0yMDA0LWFpYS52ZXJp
// SIG // c2lnbi5jb20vQ1NDMy0yMDA0LWFpYS5jZXIwHwYDVR0j
// SIG // BBgwFoAUCPVR6Pv+PT1kNnxoz1t4qN+5xTcwEQYJYIZI
// SIG // AYb4QgEBBAQDAgQQMBYGCisGAQQBgjcCARsECDAGAQEA
// SIG // AQH/MA0GCSqGSIb3DQEBBQUAA4IBAQCtQLL10ubxkFkb
// SIG // +/hVG5KRiT/NR67FfPBG3NISirImKZWmReOT+pvzy6mu
// SIG // Xyu9PSBZXEaIp+eqJAF/cDAsMwalTDcsSM4UWqPY5I8F
// SIG // A8edkQvAob16FKO6vqMNaeibEtEvpwO5zHBnGYnMaA0Q
// SIG // vEmSMv7qa/OMhenGKJm2Zsw7zw50NVp/Otn/yBttgAYI
// SIG // b8ZHen3RLOIAodwKahPMpLAjXCZ18kWSp2RmkGuwZst/
// SIG // z55+eMIsHfI1APjuQoBr2nHSFa/RjU+NQ41uj0PWNpPf
// SIG // 0+WrpkTWbOcL1uyQlNIALvWKGWraH++Yw435u3/EiKZI
// SIG // BSVFpN8H4ejDvXSKyWYLMYIEDzCCBAsCAQEwgckwgbQx
// SIG // CzAJBgNVBAYTAlVTMRcwFQYDVQQKEw5WZXJpU2lnbiwg
// SIG // SW5jLjEfMB0GA1UECxMWVmVyaVNpZ24gVHJ1c3QgTmV0
// SIG // d29yazE7MDkGA1UECxMyVGVybXMgb2YgdXNlIGF0IGh0
// SIG // dHBzOi8vd3d3LnZlcmlzaWduLmNvbS9ycGEgKGMpMDQx
// SIG // LjAsBgNVBAMTJVZlcmlTaWduIENsYXNzIDMgQ29kZSBT
// SIG // aWduaW5nIDIwMDQgQ0ECEFXvL2VCrn2dIzU3ACqsrQkw
// SIG // DAYIKoZIhvcNAgUFAKCBljAZBgkqhkiG9w0BCQMxDAYK
// SIG // KwYBBAGCNwIBBDAcBgorBgEEAYI3AgELMQ4wDAYKKwYB
// SIG // BAGCNwIBFTAfBgkqhkiG9w0BCQQxEgQQRRCAwy8Txlpv
// SIG // lBH1LgBLszA6BgorBgEEAYI3AgEMMSwwKqAogCYAQQB1
// SIG // AHQAbwBkAGUAcwBrACAARABXAEYAIABWAGkAZQB3AGUA
// SIG // cjANBgkqhkiG9w0BAQEFAASBgJMDs7H6ZCD0GzNwx8As
// SIG // 9jbj23kRSe958gkvVEN1UPUJulKe6wpQGQLGF2YN1wsX
// SIG // KIlwCyBKOYmXOkrULHL6wlRsc76oU/I3DvQfE6OfhBvs
// SIG // EBGyyQbGrPfrJWbMyYciS46bIiuFWYAz2ipSiZi/KFny
// SIG // VDdEwbMHH+9Ba1GrgGdUoYIB/zCCAfsGCSqGSIb3DQEJ
// SIG // BjGCAewwggHoAgEBMGcwUzELMAkGA1UEBhMCVVMxFzAV
// SIG // BgNVBAoTDlZlcmlTaWduLCBJbmMuMSswKQYDVQQDEyJW
// SIG // ZXJpU2lnbiBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIENB
// SIG // AhAN6Svw1NgpiBgyBQlemnaIMAwGCCqGSIb3DQIFBQCg
// SIG // WTAYBgkqhkiG9w0BCQMxCwYJKoZIhvcNAQcBMBwGCSqG
// SIG // SIb3DQEJBTEPFw0wNjExMDkyMzE3NDJaMB8GCSqGSIb3
// SIG // DQEJBDESBBAOQ1Fqi+erAIbygNWy3jG9MA0GCSqGSIb3
// SIG // DQEBAQUABIIBABuZYP3p0Ub3LJ2qV5ij7itl52RXshqD
// SIG // sun4hYlc/12Os8QU174GkoQ2FfrWqrUu/llOh/IvdgYu
// SIG // /mVaoHso4eGfZuNfSSPumXMeqCGtgoBni0TH2g/GrsCM
// SIG // JwAMruwpkY2ajy49/RdKco8puZlsjM8kwTq2Sf4BDJDc
// SIG // u7ebxHOwU2hi9gLhD4fIQOe4Acakscf8Jap5PhbCzADa
// SIG // STS6qZtg+/GaOvdqviFwV5/hhEas3BIKPZ5QKizwlxr8
// SIG // ffnDoJAQA50ffy+Ld1X9aDRuK5ovVjBhUyt9kidZ0X0x
// SIG // L4EcSY78iyQgYtSmcA5xXAXiBEurmyXRtPO526JqBjau3ts=
// SIG // End signature block
